Index: branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HeuristicLab.Hive.Experiment.Views-3.3.csproj
===================================================================
--- branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HeuristicLab.Hive.Experiment.Views-3.3.csproj	(revision 4343)
+++ branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HeuristicLab.Hive.Experiment.Views-3.3.csproj	(revision 4368)
@@ -17,5 +17,5 @@
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
-    <PlatformTarget>AnyCPU</PlatformTarget>
+    <PlatformTarget>x64</PlatformTarget>
     <DebugSymbols>true</DebugSymbols>
     <DebugType>full</DebugType>
@@ -54,4 +54,29 @@
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <PlatformTarget>x64</PlatformTarget>
+    <CodeAnalysisLogFile>bin\Debug\HeuristicLab.Hive.Experiment.Views-3.3.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
+    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
+    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRuleSetDirectories>;c:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
+    <CodeAnalysisIgnoreBuiltInRuleSets>false</CodeAnalysisIgnoreBuiltInRuleSets>
+    <CodeAnalysisRuleDirectories>;c:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
+    <CodeAnalysisIgnoreBuiltInRules>false</CodeAnalysisIgnoreBuiltInRules>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <PlatformTarget>x64</PlatformTarget>
+    <CodeAnalysisLogFile>bin\Release\HeuristicLab.Hive.Experiment.Views-3.3.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
+    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
+    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRuleSetDirectories>;c:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
+    <CodeAnalysisIgnoreBuiltInRuleSets>true</CodeAnalysisIgnoreBuiltInRuleSets>
+    <CodeAnalysisRuleDirectories>;c:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
+    <CodeAnalysisIgnoreBuiltInRules>false</CodeAnalysisIgnoreBuiltInRules>
+  </PropertyGroup>
   <ItemGroup>
     <Reference Include="HeuristicLab.Collections-3.3">
@@ -72,4 +97,7 @@
     <Reference Include="HeuristicLab.Data-3.3">
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Data-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Hive.Server.Console-3.3">
+      <HintPath>..\..\HeuristicLab.Hive.Server.Console\3.3\obj\Debug\HeuristicLab.Hive.Server.Console-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.MainForm-3.3">
@@ -114,4 +142,35 @@
     </Compile>
     <Compile Include="ControlExtensions.cs" />
+    <Compile Include="Form1.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Form1.Designer.cs">
+      <DependentUpon>Form1.cs</DependentUpon>
+    </Compile>
+    <Compile Include="TestApp.cs" />
+    <Compile Include="JobConfigListView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="JobConfigListView.Designer.cs">
+      <DependentUpon>JobConfigListView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="JobConfigView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="JobConfigView.Designer.cs">
+      <DependentUpon>JobConfigView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="HiveExperimentListView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="HiveExperimentListView.Designer.cs">
+      <DependentUpon>HiveExperimentListView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="HiveClientView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="HiveClientView.Designer.cs">
+      <DependentUpon>HiveClientView.cs</DependentUpon>
+    </Compile>
     <Compile Include="HeuristicLabHiveExperimentViewsPlugin.cs" />
     <Compile Include="HiveExperimentView.cs">
@@ -134,4 +193,10 @@
     </Compile>
     <Compile Include="MenuItems\ConnectionSetupMenuItem.cs" />
+    <Compile Include="ProgressView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ProgressView.Designer.cs">
+      <DependentUpon>ProgressView.cs</DependentUpon>
+    </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
     <Compile Include="Properties\Resources.Designer.cs">
@@ -167,4 +232,13 @@
       <DependentUpon>ConnectionSetupView.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Form1.resx">
+      <DependentUpon>Form1.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="JobConfigView.resx">
+      <DependentUpon>JobConfigView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="HiveClientView.resx">
+      <DependentUpon>HiveClientView.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="HiveExperimentView.resx">
       <DependentUpon>HiveExperimentView.cs</DependentUpon>
@@ -172,4 +246,7 @@
     <EmbeddedResource Include="JobItemView.resx">
       <DependentUpon>JobItemView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="ProgressView.resx">
+      <DependentUpon>ProgressView.cs</DependentUpon>
     </EmbeddedResource>
     <EmbeddedResource Include="Properties\Resources.resx">
Index: branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveClientView.Designer.cs
===================================================================
--- branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveClientView.Designer.cs	(revision 4368)
+++ branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveClientView.Designer.cs	(revision 4368)
@@ -0,0 +1,137 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Hive.Experiment.Views {
+  partial class HiveClientView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.tabControl = new System.Windows.Forms.TabControl();
+      this.experimentsTabPage = new System.Windows.Forms.TabPage();
+      this.hiveExperimentListView = new HeuristicLab.Hive.Experiment.Views.HiveExperimentListView();
+      this.logTabPage = new System.Windows.Forms.TabPage();
+      this.updateExperimentsButton = new System.Windows.Forms.Button();
+      this.tabControl.SuspendLayout();
+      this.experimentsTabPage.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // tabControl
+      // 
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.tabControl.Controls.Add(this.experimentsTabPage);
+      this.tabControl.Controls.Add(this.logTabPage);
+      this.tabControl.Location = new System.Drawing.Point(3, 3);
+      this.tabControl.Name = "tabControl";
+      this.tabControl.SelectedIndex = 0;
+      this.tabControl.Size = new System.Drawing.Size(729, 489);
+      this.tabControl.TabIndex = 4;
+      // 
+      // experimentsTabPage
+      // 
+      this.experimentsTabPage.Controls.Add(this.hiveExperimentListView);
+      this.experimentsTabPage.Location = new System.Drawing.Point(4, 22);
+      this.experimentsTabPage.Name = "experimentsTabPage";
+      this.experimentsTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.experimentsTabPage.Size = new System.Drawing.Size(721, 463);
+      this.experimentsTabPage.TabIndex = 0;
+      this.experimentsTabPage.Text = "Experiments";
+      this.experimentsTabPage.UseVisualStyleBackColor = true;
+      // 
+      // hiveExperimentListView
+      // 
+      this.hiveExperimentListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.hiveExperimentListView.Caption = "HiveExperimentList View";
+      this.hiveExperimentListView.Content = null;
+      this.hiveExperimentListView.Location = new System.Drawing.Point(6, 6);
+      this.hiveExperimentListView.Name = "hiveExperimentListView";
+      this.hiveExperimentListView.ReadOnly = false;
+      this.hiveExperimentListView.Size = new System.Drawing.Size(712, 437);
+      this.hiveExperimentListView.TabIndex = 0;
+      // 
+      // logTabPage
+      // 
+      this.logTabPage.Location = new System.Drawing.Point(4, 22);
+      this.logTabPage.Name = "logTabPage";
+      this.logTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.logTabPage.Size = new System.Drawing.Size(721, 463);
+      this.logTabPage.TabIndex = 1;
+      this.logTabPage.Text = "Log";
+      this.logTabPage.UseVisualStyleBackColor = true;
+      // 
+      // updateExperimentsButton
+      // 
+      this.updateExperimentsButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.updateExperimentsButton.Location = new System.Drawing.Point(3, 498);
+      this.updateExperimentsButton.Name = "updateExperimentsButton";
+      this.updateExperimentsButton.Size = new System.Drawing.Size(144, 23);
+      this.updateExperimentsButton.TabIndex = 5;
+      this.updateExperimentsButton.Text = "Update Experiment List";
+      this.updateExperimentsButton.UseVisualStyleBackColor = true;
+      this.updateExperimentsButton.Click += new System.EventHandler(this.updateExperimentsButton_Click);
+      // 
+      // HiveClientView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.tabControl);
+      this.Controls.Add(this.updateExperimentsButton);
+      this.Name = "HiveClientView";
+      this.Size = new System.Drawing.Size(735, 524);
+      this.tabControl.ResumeLayout(false);
+      this.experimentsTabPage.ResumeLayout(false);
+      this.ResumeLayout(false);
+
+    }
+    #endregion
+
+    private System.Windows.Forms.TabControl tabControl;
+    private System.Windows.Forms.TabPage experimentsTabPage;
+    private System.Windows.Forms.TabPage logTabPage;
+    private System.Windows.Forms.Button updateExperimentsButton;
+    private HiveExperimentListView hiveExperimentListView;
+
+
+  }
+}
Index: branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveClientView.cs
===================================================================
--- branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveClientView.cs	(revision 4368)
+++ branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveClientView.cs	(revision 4368)
@@ -0,0 +1,75 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Windows.Forms;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Optimization;
+using HeuristicLab.Optimization.Views;
+using HeuristicLab.Hive.Experiment.Properties;
+
+namespace HeuristicLab.Hive.Experiment.Views {
+  /// <summary>
+  /// The base class for visual representations of items.
+  /// </summary>
+  [View("Hive Client View")]
+  [Content(typeof(HiveClient), true)]
+  public sealed partial class HiveClientView : ItemView {
+    public new HiveClient Content {
+      get { return (HiveClient)base.Content; }
+      set { base.Content = value; }
+    }
+
+    /// <summary>
+    /// Initializes a new instance of <see cref="ItemBaseView"/>.
+    /// </summary>
+    public HiveClientView() {
+      InitializeComponent();
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        this.hiveExperimentListView.Content = null;
+      } else {
+        this.hiveExperimentListView.Content = Content.HiveExperiments;
+      }
+    }
+
+    private void updateExperimentsButton_Click(object sender, EventArgs e) {
+      ProgressView progressView = new ProgressView(this, "Loading Experiments from server...", true);
+
+      MethodInvoker invoker = new MethodInvoker(Content.UpdateExperimentList);
+      invoker.BeginInvoke((ar) => {
+        try {
+          invoker.EndInvoke(ar);
+        }
+        finally {
+          progressView.Finish();
+        }
+      }, null);
+    }
+  }
+}
Index: branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentListView.Designer.cs
===================================================================
--- branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentListView.Designer.cs	(revision 4368)
+++ branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentListView.Designer.cs	(revision 4368)
@@ -0,0 +1,32 @@
+﻿namespace HeuristicLab.Hive.Experiment.Views {
+  partial class HiveExperimentListView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+    }
+
+    #endregion
+  }
+}
Index: branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentListView.cs
===================================================================
--- branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentListView.cs	(revision 4368)
+++ branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentListView.cs	(revision 4368)
@@ -0,0 +1,34 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.Core;
+using HeuristicLab.MainForm;
+using HeuristicLab.Optimization;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Experiment.Views {
+  [View("HiveExperimentList View")]
+  [Content(typeof(HiveExperimentList), true)]
+  [Content(typeof(IItemList<HiveExperiment>), false)]
+  public partial class HiveExperimentListView : ItemListView<HiveExperiment> {
+
+    public HiveExperimentListView() {
+      InitializeComponent();
+      itemsGroupBox.Text = "Hive Experiments";
+    }
+
+    protected override HiveExperiment CreateItem() {
+      return new HiveExperiment();
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+    }
+  }
+}
Index: branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.Designer.cs
===================================================================
--- branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.Designer.cs	(revision 4343)
+++ branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.Designer.cs	(revision 4368)
@@ -52,6 +52,7 @@
       this.experimentNamedItemView = new HeuristicLab.Core.Views.NamedItemView();
       this.viewExperimentButton = new System.Windows.Forms.Button();
-      this.hiveStatusTabPage = new System.Windows.Forms.TabPage();
-      this.jobListView = new HeuristicLab.Hive.Experiment.Views.JobItemListView();
+      this.configurationTabPage = new System.Windows.Forms.TabPage();
+      this.updateJobConfigTreeButton = new System.Windows.Forms.Button();
+      this.jobsTabPage = new System.Windows.Forms.TabPage();
       this.runsTabPage = new System.Windows.Forms.TabPage();
       this.runCollectionView = new HeuristicLab.Optimization.Views.RunCollectionView();
@@ -68,8 +69,12 @@
       this.disconnectButton = new System.Windows.Forms.Button();
       this.reconnectButton = new System.Windows.Forms.Button();
+      this.downloadExperimentButton = new System.Windows.Forms.Button();
+      this.jobConfigView = new HeuristicLab.Hive.Experiment.Views.JobConfigView();
+      this.jobItemView = new HeuristicLab.Hive.Experiment.Views.JobItemView();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.tabControl.SuspendLayout();
       this.experimentTabPage.SuspendLayout();
-      this.hiveStatusTabPage.SuspendLayout();
+      this.configurationTabPage.SuspendLayout();
+      this.jobsTabPage.SuspendLayout();
       this.runsTabPage.SuspendLayout();
       this.logTabPage.SuspendLayout();
@@ -92,5 +97,6 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.tabControl.Controls.Add(this.experimentTabPage);
-      this.tabControl.Controls.Add(this.hiveStatusTabPage);
+      this.tabControl.Controls.Add(this.configurationTabPage);
+      this.tabControl.Controls.Add(this.jobsTabPage);
       this.tabControl.Controls.Add(this.runsTabPage);
       this.tabControl.Controls.Add(this.logTabPage);
@@ -103,4 +109,5 @@
       // experimentTabPage
       // 
+      this.experimentTabPage.Controls.Add(this.downloadExperimentButton);
       this.experimentTabPage.Controls.Add(this.openExperimentButton);
       this.experimentTabPage.Controls.Add(this.newExperimentButton);
@@ -161,27 +168,35 @@
       this.viewExperimentButton.Click += new System.EventHandler(this.showExperimentButton_Click);
       // 
-      // hiveStatusTabPage
-      // 
-      this.hiveStatusTabPage.Controls.Add(this.jobListView);
-      this.hiveStatusTabPage.Location = new System.Drawing.Point(4, 22);
-      this.hiveStatusTabPage.Name = "hiveStatusTabPage";
-      this.hiveStatusTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.hiveStatusTabPage.Size = new System.Drawing.Size(727, 369);
-      this.hiveStatusTabPage.TabIndex = 2;
-      this.hiveStatusTabPage.Text = "HiveStatus";
-      this.hiveStatusTabPage.UseVisualStyleBackColor = true;
-      // 
-      // jobListView
-      // 
-      this.jobListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.jobListView.Caption = "JobList View";
-      this.jobListView.Content = null;
-      this.jobListView.Location = new System.Drawing.Point(3, 6);
-      this.jobListView.Name = "jobListView";
-      this.jobListView.ReadOnly = false;
-      this.jobListView.Size = new System.Drawing.Size(721, 360);
-      this.jobListView.TabIndex = 0;
+      // configurationTabPage
+      // 
+      this.configurationTabPage.Controls.Add(this.jobConfigView);
+      this.configurationTabPage.Controls.Add(this.updateJobConfigTreeButton);
+      this.configurationTabPage.Location = new System.Drawing.Point(4, 22);
+      this.configurationTabPage.Name = "configurationTabPage";
+      this.configurationTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.configurationTabPage.Size = new System.Drawing.Size(727, 390);
+      this.configurationTabPage.TabIndex = 2;
+      this.configurationTabPage.Text = "Configuration";
+      this.configurationTabPage.UseVisualStyleBackColor = true;
+      // 
+      // updateJobConfigTreeButton
+      // 
+      this.updateJobConfigTreeButton.Location = new System.Drawing.Point(6, 6);
+      this.updateJobConfigTreeButton.Name = "updateJobConfigTreeButton";
+      this.updateJobConfigTreeButton.Size = new System.Drawing.Size(199, 23);
+      this.updateJobConfigTreeButton.TabIndex = 1;
+      this.updateJobConfigTreeButton.Text = "Update Config Tree from Experiment";
+      this.updateJobConfigTreeButton.UseVisualStyleBackColor = true;
+      this.updateJobConfigTreeButton.Click += new System.EventHandler(this.updateJobConfigTreeButton_Click);
+      // 
+      // jobsTabPage
+      // 
+      this.jobsTabPage.Controls.Add(this.jobItemView);
+      this.jobsTabPage.Location = new System.Drawing.Point(4, 22);
+      this.jobsTabPage.Name = "jobsTabPage";
+      this.jobsTabPage.Size = new System.Drawing.Size(727, 390);
+      this.jobsTabPage.TabIndex = 5;
+      this.jobsTabPage.Text = "Jobs";
+      this.jobsTabPage.UseVisualStyleBackColor = true;
       // 
       // runsTabPage
@@ -190,5 +205,5 @@
       this.runsTabPage.Location = new System.Drawing.Point(4, 22);
       this.runsTabPage.Name = "runsTabPage";
-      this.runsTabPage.Size = new System.Drawing.Size(727, 369);
+      this.runsTabPage.Size = new System.Drawing.Size(727, 390);
       this.runsTabPage.TabIndex = 4;
       this.runsTabPage.Text = "Runs";
@@ -213,5 +228,5 @@
       this.logTabPage.Location = new System.Drawing.Point(4, 22);
       this.logTabPage.Name = "logTabPage";
-      this.logTabPage.Size = new System.Drawing.Size(727, 369);
+      this.logTabPage.Size = new System.Drawing.Size(727, 390);
       this.logTabPage.TabIndex = 3;
       this.logTabPage.Text = "Log";
@@ -344,4 +359,44 @@
       this.reconnectButton.UseVisualStyleBackColor = true;
       this.reconnectButton.Click += new System.EventHandler(this.reconnectButton_Click);
+      // 
+      // downloadExperimentButton
+      // 
+      this.downloadExperimentButton.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.downloadExperimentButton.Enabled = false;
+      this.downloadExperimentButton.Location = new System.Drawing.Point(2, 123);
+      this.downloadExperimentButton.Name = "downloadExperimentButton";
+      this.downloadExperimentButton.Size = new System.Drawing.Size(725, 24);
+      this.downloadExperimentButton.TabIndex = 17;
+      this.downloadExperimentButton.Text = "Download Experiment";
+      this.toolTip.SetToolTip(this.downloadExperimentButton, "Reconnect to Hive");
+      this.downloadExperimentButton.UseVisualStyleBackColor = true;
+      this.downloadExperimentButton.Click += new System.EventHandler(this.downloadExperimentButton_Click);
+      // 
+      // jobConfigView
+      // 
+      this.jobConfigView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.jobConfigView.Caption = "JobConfigView";
+      this.jobConfigView.Content = null;
+      this.jobConfigView.Location = new System.Drawing.Point(3, 35);
+      this.jobConfigView.Name = "jobConfigView";
+      this.jobConfigView.ReadOnly = false;
+      this.jobConfigView.Size = new System.Drawing.Size(721, 352);
+      this.jobConfigView.TabIndex = 2;
+      // 
+      // jobItemView
+      // 
+      this.jobItemView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.jobItemView.Caption = "JobItem View";
+      this.jobItemView.Content = null;
+      this.jobItemView.Location = new System.Drawing.Point(2, 3);
+      this.jobItemView.Name = "jobItemView";
+      this.jobItemView.ReadOnly = true;
+      this.jobItemView.Size = new System.Drawing.Size(722, 384);
+      this.jobItemView.TabIndex = 0;
       // 
       // HiveExperimentView
@@ -380,5 +435,6 @@
       this.tabControl.ResumeLayout(false);
       this.experimentTabPage.ResumeLayout(false);
-      this.hiveStatusTabPage.ResumeLayout(false);
+      this.configurationTabPage.ResumeLayout(false);
+      this.jobsTabPage.ResumeLayout(false);
       this.runsTabPage.ResumeLayout(false);
       this.logTabPage.ResumeLayout(false);
@@ -397,5 +453,5 @@
     private System.Windows.Forms.TextBox executionTimeTextBox;
     private System.Windows.Forms.Button pauseButton;
-    private System.Windows.Forms.TabPage hiveStatusTabPage;
+    private System.Windows.Forms.TabPage configurationTabPage;
     private System.Windows.Forms.Label resourceIdsLabel;
     private System.Windows.Forms.TextBox resourceIdsTextBox;
@@ -404,5 +460,4 @@
     private System.Windows.Forms.TabPage logTabPage;
     private Core.Views.LogView logView;
-    private JobItemListView jobListView;
     private System.Windows.Forms.Button disconnectButton;
     private System.Windows.Forms.Button reconnectButton;
@@ -411,4 +466,9 @@
     private System.Windows.Forms.TabPage runsTabPage;
     private Optimization.Views.RunCollectionView runCollectionView;
+    private System.Windows.Forms.Button updateJobConfigTreeButton;
+    private System.Windows.Forms.TabPage jobsTabPage;
+    private JobItemView jobItemView;
+    private JobConfigView jobConfigView;
+    private System.Windows.Forms.Button downloadExperimentButton;
 
   }
